## kiwix-0.9-alpha7-src.tar.bz2

=== src/dependences/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# src/dependences/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/kiwix
pkgincludedir = $(includedir)/kiwix
pkglibdir = $(libdir)/kiwix
pkglibexecdir = $(libexecdir)/kiwix
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = src/dependences
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/zimlib/src/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/kiwix/kiwix/missing --run aclocal-1.11
AMTAR = ${SHELL} /tmp/kiwix/kiwix/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /tmp/kiwix/kiwix/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/kiwix/kiwix/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/kiwix/kiwix/missing --run automake-1.11
AWK = gawk
BINDIST_INTRO_MESSAGE = echo You have to run configure with the '--without-dependences' argument.
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O6
CPP = gcc -E
CPPFLAGS = -I/usr/lib
CURRENT_PATH = /tmp/kiwix/kiwix
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -O6
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEPENDENCES = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ESCAPED_PREFIX = 
EXEEXT = 
FGREP = /bin/grep -F
GECKO_IDL_PATH = /usr/share/idl/xulrunner-1.9.2.12
GREP = /bin/grep
HAVE_CL = 
HAVE_CXX = g++
HAVE_PERL = perl
HAVE_PKG_CONFIG = pkg-config
HAVE_WGET = 
HAVE_XAPIAN_CONFIG = xapian-config
HAVE_XPIDL = xpidl
ICU_CONFIG = /usr/local/bin/icu-config
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBCLUCENE_CFLAGS = 
LIBCLUCENE_LDFLAGS =  -lclucene
LIBICU_CFLAGS = -g -O2 -W -Wall -ansi -pedantic -Wpointer-arith -Wwrite-strings -Wno-long-long   
LIBICU_LDFLAGS =  -lpthread -ldl -lm   -L/usr/local/lib -licui18n -licuuc -licudata  -lpthread -ldl -lm   
LIBLZMA_CFLAGS = 
LIBLZMA_LDFLAGS =  -llzma
LIBMICROHTTPD_CFLAGS = 
LIBMICROHTTPD_LDFLAGS =  -lmicrohttpd
LIBOBJS = 
LIBS = -llzma -lmicrohttpd -lclucene -lz 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXAPIAN_CFLAGS = 
LIBXAPIAN_LDFLAGS = -lxapian
LIBXUL_CFLAGS = -fshort-wchar -I/usr/include/xulrunner-1.9.2.12 -I/usr/include/xulrunner-1.9.2.12/nspr -I/usr/include/nspr  
LIBXUL_LDFLAGS = -L/usr/lib/xulrunner-devel-1.9.2.12/lib -lxpcomglue_s -lxul -lxpcom -lplds4 -lplc4 -lnspr4 -lpthread -ldl  
LIBZIM_CFLAGS = -I/tmp/kiwix/kiwix/src/zimlib/include
LIBZIM_LDFLAGS =  -lz  -llzma
LIBZ_CFLAGS = 
LIBZ_LDFLAGS =  -lz
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /tmp/kiwix/kiwix/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = kiwix
PACKAGE_BUGREPORT = 
PACKAGE_NAME = kiwix
PACKAGE_STRING = kiwix 0.9
PACKAGE_TARNAME = kiwix
PACKAGE_URL = 
PACKAGE_VERSION = 0.9
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 0.9
XPCOM_CFLAGS = -fno-rtti -fPIC
XPCOM_LDFLAGS = -Xcompiler -shared -Wl,-rpath-link,/usr/lib/xulrunner-devel-1.9.2.12/bin
XPIDL = /usr/lib/xulrunner-devel-1.9.2.12/bin/xpidl
abs_builddir = /tmp/kiwix/kiwix/src/dependences
abs_srcdir = /tmp/kiwix/kiwix/src/dependences
abs_top_builddir = /tmp/kiwix/kiwix
abs_top_srcdir = /tmp/kiwix/kiwix
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/kiwix/kiwix/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/dependences/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign src/dependences/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean-am: clean-generic clean-libtool mostlyclean-am

distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am


# download
zlib.tar.gz:
	wget -c http://download.kiwix.org/dev/zlib-1.2.3.tar.gz -O zlib.tar.gz
	tar -xvzf zlib.tar.gz

xapian-core.tar.gz:
	wget -c http://download.kiwix.org/dev/xapian-core-1.2.3.tar.gz -O xapian-core.tar.gz
	tar -xvzf xapian-core.tar.gz

xapian-win32.zip:
	wget -c http://download.kiwix.org/dev/xapian-1.2.3-win32.zip -O xapian-win32.zip
	unzip xapian-win32.zip
	mv win32 ./xapian-core-1.2.3/

icu.zip:
	wget -c http://download.kiwix.org/dev/icu4c-4_4-Win32-msvc9.zip -O icu.zip
	unzip icu.zip

xulrunner-sdk-linux.tar.bz2:
	wget -c http://download.kiwix.org/dev/xulrunner-1.9.1.4.en-US.linux-i686.sdk.tar.bz2 -O xulrunner-sdk-linux.tar.bz2
	tar -xvjf xulrunner-sdk-linux.tar.bz2

xulrunner-sdk-win.zip:
	wget -c http://download.kiwix.org/dev/xulrunner-1.9.2.en-US.win32.sdk.zip -O xulrunner-sdk-win.zip
	unzip xulrunner-sdk-win.zip

xulrunner-win.zip:
	wget -c http://download.kiwix.org/dev/xulrunner-1.9.2.en-US.win32.zip -O xulrunner-win.zip
	unzip xulrunner-win.zip

xulrunner-source.tar.bz2:
	wget -c http://download.kiwix.org/dev/xulrunner-1.9.2.source.tar.bz2 -O xulrunner-source.tar.bz2
	tar -xvjf xulrunner-source.tar.bz2

xz.tar.bz2:
	wget -c http://download.kiwix.org/dev/xz-4.999.9beta.tar.bz2 -O xz.tar.bz2
	tar -xvjf xz.tar.bz2

# compile

=== debian/changelog ===
kiwix (0.9-alpha7.1) maverick; urgency=low

  * Same code as 0.9-alpha7, simply rebuild.

 -- Emmanuel Engelhart <kelson@kiwix.org>  Mon, 22 Nov 2010 22:00:00 +0200

kiwix (0.9-alpha7) maverick; urgency=low
  * Fix the encoding issue in the help in Parsi (ID: 3060250)
  * Fix an URL parsing issue impacting title containing a '/' (ID: 3065286)
  * Add mouse thumb buttons back/forward support (ID: 3063304)
  * Add a contextual menu "Save image as..." for images (ID: 1669553)
  * Remove the deprecated (not used anymore by libzim) bzip2 dependence
  * Fully localized MS Windows installer
  * Fix the default filename by "save image" and "save as PDF"  with article containing a "/"
  * Avoid a small bug responsible for duplicate zim calls
  * Per default, Kiwix instance are not "live" anymoore. Can now be decided with buildDistribution.pl
  * Propose a download dialog if the mime-type is unknown
  * New locales: Catalan
  * Fix a bug with the "impossible" indexing process in case of defect library.xml (ID: 3068722)
  * Reintroduction of the skin switcher tool
  * Consider chrome:// as internal url, and do not ask anumore to load the url with an external app.
  * Fullscreen is now a *real* fullscreen
  * Fix the initialisation of the random article url generator (ID: 3109548)
  * Fix an issue by tab rendering after closing one (ID: 3108586)
  * Fix the issue with no tab title if user change tab before content renders (ID: 3108598)
  * Fix the brocken liblzma dependence in Debian package for Maverick (ID: 3115241)

 -- Emmanuel Engelhart <kelson@kiwix.org>  Sun, 21 Nov 2010 16:00:00 +0200

kiwix (0.9-alpha6.1) maverick; urgency=low

  * Version for 10.10 (same code as before)

 -- Emmanuel Engelhart <kelson@kiwix.org>  Wed, 27 Oct 2010 12:30:00 +0200

kiwix (0.9-alpha6) maverick; urgency=low

  * Fix a regression bug impacting the case insensitive (first character only) suggestion system
  * Fix a bug in kiwix-serve impacting search results with titles including special characters
  * Add the --verbose|-v arugment to kiwix-index
  * Add a stub HTML header&footer in case of the article only have a <body> (ID: 3030608)
  * Fix a bug in the ./configure libicu version checking (ID: 3034150)
  * Fix a bug in the debian/posrtrm script (ID: 3035092)
  * Complete the DEB package with additional informations
  * Add the "Purge history" Tool (ID: 3036917)
  * Tab navigation (ID: 1644478)
  * Capacity to deal with splitted ZIM files
  * Add mouse button forward/back support (ID: 3052213)
  * Fix annoyous bug impacting user moving and reopening the same file (ID: 3052211)
  * Remember the file picker path over sessions
  * Does not read/save anymore the profile library if "live" instance (DVD or USB)
  * Per default, use now the OS default language and not English anymore
  * Remove the auto full text search by typing the search pattern (was introduced in alpha5 and needs too much CPU)
  * Add new useful keyboard shortcuts like in Firefox (ID: 2992557)
  * Better help page in English

 -- Emmanuel Engelhart <kelson@kiwix.org>  Tue, 2 Sep 2010 19:20:00 +0200

kiwix (0.9-alpha5.1) maverick; urgency=low

  * Fix a bug in the debian/posrtrm script (ID: 3035092)

 -- Emmanuel Engelhart <kelson@kiwix.org>  Mon, 27 Jul 2010 11:44:00 +0200

kiwix (0.9-alpha5) maverick; urgency=low

  * Fix a regression bug impacting the case insensitive (first character only) suggestion
  * Fix a bug in kiwix-serve impacting search results with titles including (non-escaped) special characters
  * Add the --versbose|-v to kiwix-index
  * Add a stub HTML header&footer in case of the article do not have a <body> (ID: 3030608)
  * Fix a bug in the ./configure libicu version checking (ID: 3034150)

 -- Emmanuel Engelhart <kelson@kiwix.org>  Mon, 26 Jul 2010 21:39:00 +0200

kiwix (0.9-3) maverick; urgency=low

  * Fix Build-Depends.

 -- Jorge Gonzalez <jag2kn@gmail.com>  Mon, 19 Jul 2010 16:00:00 -0500

kiwix (0.9-2) maverick; urgency=low

  * Initial ppa.

 -- Jorge Gonzalez <jag2kn@gmail.com>  Mon, 19 Jul 2010 14:05:00 -0500

kiwix (0.9-1) unstable; urgency=low

  * Initial release.

 -- Emmanuel Engelhart <kelson@kiwix.org>  Sat, 28 Nov 2009 17:18:10 +0100

=== debian/control ===
Source: kiwix
Section: misc
Priority: optional
Maintainer: Jorge Gonzalez <jag2kn@gmail.com>
Build-Depends: binutils,
	debhelper,
	g++,
	libxapian-dev,
	libclucene-dev,
	libicu-dev,
	liblzma-dev,
	xulrunner-1.9.2-dev,
	m4,
	zlib1g-dev,
	libmicrohttpd-dev,
	libtool,
	python-support
Standards-Version: 0.9
Homepage: http://www.kiwix.org/

Package: kiwix
Architecture: any
Depends: debianutils, 
	 ${shlibs:Depends}, 
	 ${misc:Depends},
	 libicu42,
	 libxapian15,
	 libclucene0ldbl,
	 xapian-tools,
	 xulrunner-1.9.2,
 	 zlib1g,
	 liblzma2,
	 libmicrohttpd5
Recommends: 
Suggests: 
Conflicts: 
Replaces: 
Provides: 
Section: misc
Description: Wikipedia offline reader
 Kiwix allows you to read and search through offline content
 as they were online. Similar to a browser, Kiwix works with
 the highly compressed ZIM file format.
 .
 Features:
 * Pure ZIM file reader
 * Case and diacritics insensitve full text search engine
 * Bookmarks & Notes
 * ZIM base HTTP server
 * PDF/HTML export
 * Localized
 * Search suggestions
 * ZIM file Index capacity
 * Tabs navigation

=== debian/watch ===
version=3
http://sf.net/kiwix/kiwix-([\d\.]+-[\w]+\d)-src\.tar\.bz2
